java零基础 分布式 SQLMAP checkbox 网络营销推广 callback transactions insert ios4 jaxb 建筑资质 vue绑定class vue响应式 前端vue框架 nfc卡片 python正则匹配 python链接mysql数据库 python图形界面开发 java接口 java实战 java有哪些数据类型 randomjava java遍历集合 java实例方法 java声明变量 java重命名 java抛出自定义异常 java环境下载 sql实例 php开发教程 python教程视频 迷宫解锁 计算机操作系统第四版 主板芯片组天梯图 firework下载 图片转pdf免费软件 0x000007a 金水疑云 色阶快捷键 软媒u盘启动
当前位置: 首页 > 学习教程  > 编程语言

CentOS7安装mysql时提示libaio.so.1 is needed by MySQL-server-5.5.48-1.linux2.6.i386

2021/1/28 22:54:44 文章标签:

一、问题描述 [rootlocalhost opt]# rpm -ivh MySQL-server-5.5.48-1.linux2.6.i386.rpm 警告:MySQL-server-5.5.48-1.linux2.6.i386.rpm: 头V3 DSA/SHA1 Signature, 密钥 ID 5072e1f5: NOKEY 错误:依赖检测失败:libaio.so.1 被 MySQL-server…

一、问题描述

在这里插入图片描述

[root@localhost opt]# rpm -ivh MySQL-server-5.5.48-1.linux2.6.i386.rpm
警告:MySQL-server-5.5.48-1.linux2.6.i386.rpm: 头V3 DSA/SHA1 Signature, 密钥 ID 5072e1f5: NOKEY
错误:依赖检测失败:
        libaio.so.1 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libaio.so.1(LIBAIO_0.1) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libaio.so.1(LIBAIO_0.4) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.0) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.1) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.1.2) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.1.3) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.2) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.2.3) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.3) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libc.so.6(GLIBC_2.3.3) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libcrypt.so.1 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libcrypt.so.1(GLIBC_2.0) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libdl.so.2 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libdl.so.2(GLIBC_2.0) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libdl.so.2(GLIBC_2.1) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libm.so.6 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libm.so.6(GLIBC_2.0) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libm.so.6(GLIBC_2.1) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libpthread.so.0 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libpthread.so.0(GLIBC_2.0) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libpthread.so.0(GLIBC_2.1) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libpthread.so.0(GLIBC_2.2) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        libpthread.so.0(GLIBC_2.3.2) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        librt.so.1 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
        librt.so.1(GLIBC_2.2) 被 MySQL-server-5.5.48-1.linux2.6.i386 需要
[root@localhost opt]# 

二、问题原因

  • libaio.so.1 和libc.so.6依赖没有安装

三、解决方式

  • 安装libaio.so.1和libc.so.6 依赖,依次执行如下2条命令

    [root@localhost opt]# yum install libaio.so.1
    [root@localhost opt]# yum install libc.so.6
    
  • 截图如下:
    在这里插入图片描述在这里插入图片描述

  • 再次使用rpm命令安装mysql,就不会报此错误提示,如下图:
    在这里插入图片描述


本文链接: http://www.dtmao.cc/news_show_650094.shtml

附件下载

相关教程

    暂无相关的数据...

共有条评论 网友评论

验证码: 看不清楚?